Index: Makefile
===================================================================
RCS file: /cvs/ports/net/ices2/Makefile,v
diff -u -p -r1.36 Makefile
--- Makefile	1 Nov 2025 11:16:42 -0000	1.36
+++ Makefile	10 Dec 2025 14:27:55 -0000
@@ -1,31 +1,26 @@
 COMMENT=	icecast source for streaming Ogg Vorbis
 
-DISTNAME=	ices-2.0.2
+DISTNAME=	ices-2.0.3
 CATEGORIES=	net audio
-REVISION=	8
 
 HOMEPAGE=	https://icecast.org/ices/
 
 # GPLv2
 PERMIT_PACKAGE=	Yes
 
 WANTLIB += c iconv m ogg pthread shout sndio speex theora vorbis
 WANTLIB += vorbisenc xml2 z crypto ssl
 
 SITES=		https://downloads.xiph.org/releases/ices/
 
-# Needs AC_PROG_LIBTOOL
-BUILD_DEPENDS += 	devel/libtool \
-			${MODGNU_AUTOMAKE_DEPENDS}
-
 LIB_DEPENDS=		audio/speex \
 			converters/libiconv \
 			net/libshout \
 			textproc/libxml
 
-AUTOCONF_VERSION=	2.61
-AUTOMAKE_VERSION=	1.9
-CONFIGURE_STYLE=	autoconf
+AUTOCONF_VERSION=	2.69
+AUTOMAKE_VERSION=	1.14
+CONFIGURE_STYLE=	autoreconf
 CONFIGURE_ARGS=		--program-suffix=2 \
 			--disable-sun-audio
 
@@ -34,16 +29,5 @@ SEPARATE_BUILD=		Yes
 post-extract:
 	cp ${FILESDIR}/im_sndio.{c,h} ${WRKSRC}/src/
 	cp ${FILESDIR}/ices-sndio.xml ${WRKSRC}/conf/
-
-AUTO_ENV=	AUTOCONF_VERSION=${AUTOCONF_VERSION} \
-		AUTOMAKE_VERSION=${AUTOMAKE_VERSION}
-
-post-patch:
-	@echo "Running aclocal-${AUTOMAKE_VERSION} in ${WRKSRC}"
-	@cd ${WRKSRC}; ${AUTO_ENV} aclocal -I m4
-
-pre-configure:
-	@echo "Running automake-${AUTOMAKE_VERSION} in ${WRKSRC}"
-	@cd ${WRKSRC}; ${AUTO_ENV} automake --foreign
 
 .include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /cvs/ports/net/ices2/distinfo,v
diff -u -p -r1.4 distinfo
--- distinfo	15 Apr 2015 10:13:21 -0000	1.4
+++ distinfo	10 Dec 2025 14:27:55 -0000
@@ -1,2 +1,2 @@
-SHA256 (ices-2.0.2.tar.gz) = e/epxbzhtkZd+N0UkeMDVEmQAGuO8B+LqO6ziERYiFk=
-SIZE (ices-2.0.2.tar.gz) = 446287
+SHA256 (ices-2.0.3.tar.gz) = 9xCy6nyjnEvc+23mEhHmFLRQTjUmdhlpB5nilGbGU34=
+SIZE (ices-2.0.3.tar.gz) = 461511
Index: files/im_sndio.h
===================================================================
RCS file: /cvs/ports/net/ices2/files/im_sndio.h,v
diff -u -p -r1.1 im_sndio.h
--- files/im_sndio.h	23 Apr 2010 05:54:26 -0000	1.1
+++ files/im_sndio.h	10 Dec 2025 14:27:55 -0000
@@ -20,7 +20,7 @@
 
 #include <sndio.h>
 #include "inputmodule.h"
-#include "thread/thread.h"
+#include "common/thread/thread.h"
 #include <ogg/ogg.h>
 
 typedef struct
Index: patches/patch-Makefile_am
===================================================================
RCS file: patches/patch-Makefile_am
diff -N patches/patch-Makefile_am
--- patches/patch-Makefile_am	11 Mar 2022 19:46:05 -0000	1.3
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
---- Makefile.am.orig	Wed Apr 15 11:07:45 2015
-+++ Makefile.am	Wed Apr 15 11:08:59 2015
-@@ -5,7 +5,7 @@ ACLOCAL_AMFLAGS = -I m4
- 
- SUBDIRS = src conf doc
- 
--EXTRA_DIST = README AUTHORS COPYING TODO m4/shout.m4 m4/vorbis.m4 m4/ogg.m4 m4/xiph_compiler.m4 m4/xiph_xml2.m4
-+EXTRA_DIST = AUTHORS COPYING TODO m4/shout.m4 m4/vorbis.m4 m4/ogg.m4 m4/xiph_compiler.m4 m4/xiph_xml2.m4
- 
- # SCCS Definitions (for BitKeeper)
- GET = true
Index: patches/patch-configure_ac
===================================================================
RCS file: patches/patch-configure_ac
diff -N patches/patch-configure_ac
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-configure_ac	10 Dec 2025 14:27:55 -0000
@@ -0,0 +1,39 @@
+Index: configure.ac
+--- configure.ac.orig
++++ configure.ac
+@@ -75,7 +75,19 @@ fi
+ 
+ AM_CONDITIONAL(HAVE_OSS,test "$have_oss" = yes)
+ 
++dnl ================================================================
++dnl Check for sndio
++dnl ================================================================
+ 
++AC_CHECK_HEADER(sndio.h, have_sndio=yes, have_sndio=no)
++AM_CONDITIONAL(HAVE_SNDIO, test "$have_sndio" = yes)
++if test "$have_sndio" = yes; then
++   SNDIO_LIBS="-lsndio"
++   AC_DEFINE(HAVE_SNDIO,,[Define to enable sndio input module])
++fi
++
++AM_CONDITIONAL(HAVE_SNDIO,test "$have_sndio" = yes)
++
+ dnl ================================================================
+ dnl Check for Sun audio
+ dnl ================================================================
+@@ -187,6 +199,7 @@ XIPH_VAR_PREPEND([XIPH_LIBS], [$VORBISENC_LIBS $VORBIS
+ dnl Make substitutions
+ 
+ AC_SUBST(ALSA_LIBS)
++AC_SUBST(SNDIO_LIBS)
+ AC_SUBST(ROARAUDIO_LIBS)
+ AC_SUBST(ROARAUDIO_CFLAGS)
+ AC_SUBST(XML_LIBS)
+@@ -213,6 +226,7 @@ echo "
+ 
+                 Build with alsa:           $have_alsa
+                 Build with OSS:            $have_oss
++                Build with sndio:          $have_sndio
+                 Build with Sun audio:      $have_sun_audio
+                 Build with RoarAudio:      $have_roaraudio
+ 
Index: patches/patch-configure_in
===================================================================
RCS file: patches/patch-configure_in
diff -N patches/patch-configure_in
--- patches/patch-configure_in	11 Mar 2022 19:46:05 -0000	1.3
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,38 +0,0 @@
---- configure.in.orig	Tue Aug  7 00:22:01 2012
-+++ configure.in	Wed Apr 15 11:15:31 2015
-@@ -73,7 +73,19 @@ fi
- 
- AM_CONDITIONAL(HAVE_OSS,test "$have_oss" = yes)
- 
-+dnl ================================================================
-+dnl Check for sndio
-+dnl ================================================================
- 
-+AC_CHECK_HEADER(sndio.h, have_sndio=yes, have_sndio=no)
-+AM_CONDITIONAL(HAVE_SNDIO, test "$have_sndio" = yes)
-+if test "$have_sndio" = yes; then
-+   SNDIO_LIBS="-lsndio"
-+   AC_DEFINE(HAVE_SNDIO,,[Define to enable sndio input module])
-+fi
-+
-+AM_CONDITIONAL(HAVE_SNDIO,test "$have_sndio" = yes)
-+
- dnl ================================================================
- dnl Check for Sun audio
- dnl ================================================================
-@@ -173,6 +185,7 @@ XIPH_VAR_PREPEND([XIPH_LIBS], [$VORBISENC_LIBS $VORBIS
- dnl Make substitutions
- 
- AC_SUBST(ALSA_LIBS)
-+AC_SUBST(SNDIO_LIBS)
- AC_SUBST(ROARAUDIO_LIBS)
- AC_SUBST(XML_LIBS)
- AC_SUBST(XML_CFLAGS)
-@@ -198,6 +211,7 @@ echo "
- 
-                 Build with alsa:           $have_alsa
-                 Build with OSS:            $have_oss
-+                Build with sndio:          $have_sndio
-                 Build with Sun audio:      $have_sun_audio
-                 Build with RoarAudio:      $have_roaraudio
- 
Index: patches/patch-src_Makefile_am
===================================================================
RCS file: /cvs/ports/net/ices2/patches/patch-src_Makefile_am,v
diff -u -p -r1.3 patch-src_Makefile_am
--- patches/patch-src_Makefile_am	11 Mar 2022 19:46:05 -0000	1.3
+++ patches/patch-src_Makefile_am	10 Dec 2025 14:27:55 -0000
@@ -1,5 +1,6 @@
---- src/Makefile.am.orig	Wed Apr 15 11:10:56 2015
-+++ src/Makefile.am	Wed Apr 15 11:11:45 2015
+Index: src/Makefile.am
+--- src/Makefile.am.orig
++++ src/Makefile.am
 @@ -14,6 +14,10 @@ if HAVE_OSS
  oss = im_oss.c
  endif
@@ -18,12 +19,12 @@
 -ices_SOURCES = input.c cfgparse.c stream.c ices.c signals.c im_playlist.c reencode.c encode.c playlist_basic.c im_stdinpcm.c stream_shared.c metadata.c playlist_script.c audio.c resample.c $(oss) $(sun) $(alsa) $(roar)
 +ices_SOURCES = input.c cfgparse.c stream.c ices.c signals.c im_playlist.c reencode.c encode.c playlist_basic.c im_stdinpcm.c stream_shared.c metadata.c playlist_script.c audio.c resample.c $(oss) $(sun) $(alsa) $(roar) $(sndio)
  
- ices_LDADD = log/libicelog.la \
-              timing/libicetiming.la \
-              thread/libicethread.la \
-              avl/libiceavl.la \
+ ices_LDADD = common/log/libicelog.la \
+              common/timing/libicetiming.la \
+              common/thread/libicethread.la \
+              common/avl/libiceavl.la \
 -             @ROARAUDIO_LIBS@ \
 +             @ROARAUDIO_LIBS@ @SNDIO_LIBS@ \
-              @ALSA_LIBS@ @XIPH_LIBS@
+              @ALSA_LIBS@ @XIPH_LIBS@ @OGG_LIBS@
  
  debug:
Index: pkg/PLIST
===================================================================
RCS file: /cvs/ports/net/ices2/pkg/PLIST,v
diff -u -p -r1.6 PLIST
--- pkg/PLIST	11 Mar 2022 19:46:05 -0000	1.6
+++ pkg/PLIST	10 Dec 2025 14:27:55 -0000
@@ -2,6 +2,7 @@
 @option is-branch
 @conflict ices-2.*
 @extraunexec rm -rf /var/log/ices/*
+@rcscript ${RCDIR}/ices2
 @bin bin/ices2
 share/doc/ices2/
 share/doc/ices2/basic.html
@@ -18,4 +19,3 @@ share/examples/ices2/ices-playlist.xml
 @mode
 share/examples/ices2/ices-sndio.xml
 @sample /var/log/ices/
-@rcscript ${RCDIR}/ices2
